package cn.dg32z.lon.checks.impl.player.breaking.fast;

import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.type.StateType;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.states.type.StateTypes;
import cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3i;
import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.BlockBreakCheck;
import cn.dg32z.lon.player.PlayerData;
import java.util.Set;

@CheckData(name = "FastBreakA (Edit)", configName = "FastBreakA", description = "Break Block Too Fast", decay = 0.45d, experimental = true)
/* loaded from: cn_dg32z_lon_checks_impl_player_breaking_fast.jar:cn/dg32z/lon/checks/impl/player/breaking/fast/FastBreakA.class */
public final class FastBreakA extends Check implements BlockBreakCheck {
    private StateType targetType;
    private long startBreak;
    private double blockBreakBalance;
    private long lastFinishBreak;
    private double blockDelayBalance;
    private double maximumBlockDamage;
    private Vector3i targetBlock;
    private final Set EXEMPT_STATES;

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -3
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent r7) {
        /*
            r6 = this;
            goto L7a
        L3:
            r-1.getPacketType()
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.packettype.PacketType$Play$Client r0 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.packettype.PacketType.Play.Client.ANIMATION
            if (r-1 != r0) goto L96
            goto Lf
        Lf:
            r-1 = r6
            r0 = r6
            double r0 = r0.maximumBlockDamage
            r1 = r6
            cn.dg32z.lon.player.PlayerData r1 = r1.player
            r2 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3i r2 = r2.targetBlock
            double r1 = cn.dg32z.lon.utils.nmsutil.BlockBreakSpeed.getBlockDamage(r1, r2)
            double r0 = java.lang.Math.max(r0, r1)
            r-1.maximumBlockDamage = r0
            r-1 = 4653451291878490112(0x4094614b80000000, double:1304.32373046875)
            r0 = 4599075939470750515(0x3fd3333333333333, double:0.3)
            double r-1 = r-1 - r0
            r0 = 1151533250(0x44a300c2, float:1304.0237)
            double r0 = (double) r0
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 == 0) goto L7a
            goto L96
        L36:
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.packettype.PacketTypeCommon r-2 = r-2.getPacketType()
            boolean r-2 = cn.dg32z.libs.com.github.retrooper.packetevents.wrapper.play.client.WrapperPlayClientPlayerFlying.isFlying(r-2)
            if (r-2 == 0) goto L96
            r-2 = 1151789003(0x44a6e7cb, float:1335.2435)
            r-1 = 1095586100(0x414d5134, float:12.832325)
            float r-2 = r-2 - r-1
            r-1 = 1151683881(0x44a54d29, float:1322.4113)
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto Lf
            goto Lf
        L4d:
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion r-3 = r-3.getClientVersion()
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion r-2 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion.V_1_9
            boolean r-3 = r-3.isNewerThanOrEquals(r-2)
            if (r-3 == 0) goto L68
            r-3 = r7
            r-2 = 1151134838(0x449cec76, float:1255.3894)
            r-1 = 1093229593(0x41295c19, float:10.584985)
            float r-2 = r-2 - r-1
            r-1 = 1151048126(0x449b99be, float:1244.8044)
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto L3
            goto L36
        L68:
            r-3 = r7
            r-2 = 4648285024431374336(0x4082069a20000000, double:576.8252563476562)
            r-1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r-2 = r-2 - r-1
            r-1 = 1141898039(0x440ffb37, float:575.92523)
            double r-1 = (double) r-1
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 != 0) goto L36
            goto L3
        L7a:
            r0 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3i r0 = r0.targetBlock
            if (r0 == 0) goto L96
            r0 = r6
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            r1 = 4648438313424781312(0x4082920480000000, double:594.252197265625)
            r2 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r1 = r1 - r2
            r2 = 1142185201(0x44145cf1, float:593.4522)
            double r2 = (double) r2
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 != 0) goto L4d
            goto L4d
        L96:
            return
            throw r-2
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.breaking.fast.FastBreakA.onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent):void");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -3
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:13:0x0298 -> B:6:0x017f). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x01e6 -> B:12:0x0285). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:34:0x0151 -> B:89:0x0114). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:36:0x003c -> B:12:0x0285). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:46:0x010e -> B:6:0x017f). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:65:0x02c9 -> B:51:0x005c). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:75:0x01ff -> B:24:0x0075). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:77:0x00e0 -> B:89:0x0114). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:82:0x019f -> B:47:0x0260). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:84:0x036d -> B:16:0x008e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:84:0x036d -> B:47:0x0260). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:96:0x0023 -> B:24:0x0075). Please report as a decompilation issue!!! */
    public void onBlockBreak(cn.dg32z.lon.utils.update.BlockBreak r10) {
        /*
            Method dump skipped, instructions count: 917
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.breaking.fast.FastBreakA.onBlockBreak(cn.dg32z.lon.utils.update.BlockBreak):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0007, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0022, code lost:
    
        if ((649.9828f - 14.469646f) != 635.5131f) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x0028, code lost:
    
        r8.blockBreakBalance = cn.dg32z.lon.utils.math.MathUtil.clamp(r8.blockBreakBalance, -r0, r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0041, code lost:
    
        if ((1137.6299f - 9.83325f) != 1127.7966f) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0047, code lost:
    
        r8.blockDelayBalance = cn.dg32z.lon.utils.math.MathUtil.clamp(r8.blockDelayBalance, -r0, r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0061, code lost:
    
        if ((1492.544921875d - 0.1d) == 1492.445f) goto L7;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:7:0x0061 -> B:4:0x0028). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void clampBalance() {
        /*
            r8 = this;
            r0 = 0
            r9 = r0
            goto L8
        L7:
            return
        L8:
            r0 = 1000(0x3e8, float:1.401E-42)
            r1 = r8
            cn.dg32z.lon.player.PlayerData r1 = r1.player
            int r1 = r1.getTransactionPing()
            int r0 = java.lang.Math.max(r0, r1)
            double r0 = (double) r0
            r9 = r0
            r0 = 1143111398(0x44227ee6, float:649.9828)
            r1 = 1097302956(0x416783ac, float:14.469646)
            float r0 = r0 - r1
            r1 = 1142874327(0x441ee0d7, float:635.5131)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L28
            goto L47
        L28:
            r0 = r8
            r1 = r8
            double r1 = r1.blockBreakBalance
            r2 = r9
            double r2 = -r2
            r3 = r9
            double r1 = cn.dg32z.lon.utils.math.MathUtil.clamp(r1, r2, r3)
            r0.blockBreakBalance = r1
            r0 = 1150170152(0x448e3428, float:1137.6299)
            r1 = 1092441342(0x411d54fe, float:9.83325)
            float r0 = r0 - r1
            r1 = 1150089598(0x448cf97e, float:1127.7966)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L8
            goto L47
        L47:
            r0 = r8
            r1 = r8
            double r1 = r1.blockDelayBalance
            r2 = r9
            double r2 = -r2
            r3 = r9
            double r1 = cn.dg32z.lon.utils.math.MathUtil.clamp(r1, r2, r3)
            r0.blockDelayBalance = r1
            r0 = 4654279097432670208(0x4097522e00000000, double:1492.544921875)
            r1 = 4591870180066957722(0x3fb999999999999a, double:0.1)
            double r0 = r0 - r1
            r1 = 1153076797(0x44ba8e3d, float:1492.445)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L28
            goto L7
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.breaking.fast.FastBreakA.clampBalance():void");
    }

    public FastBreakA(PlayerData playerData) {
        super(playerData);
        this.EXEMPT_STATES = Set.of(StateTypes.TRIAL_SPAWNER);
        this.targetBlock = null;
        this.targetType = null;
        this.maximumBlockDamage = 0.0d;
        this.lastFinishBreak = 0L;
        this.startBreak = 0L;
        this.blockBreakBalance = 0.0d;
        this.blockDelayBalance = 0.0d;
    }
}
